Categories:
  - Money
License: AGPL-3.0-only
AuthorName: Peercoin Foundation
AuthorEmail: foundation@peercoin.net
AuthorWebSite: https://www.peercoin.net/
WebSite: https://github.com/peercoin/peercoin_flutter
SourceCode: https://github.com/peercoin/peercoin_flutter
IssueTracker: https://github.com/peercoin/peercoin_flutter/issues
Translation: https://weblate.ppc.lol/
Changelog: https://github.com/peercoin/peercoin_flutter/releases
Donate: https://www.peercoin.net/foundation
OpenCollective: peercoin
Bitcoin: 376NhxVL1LFBFndHNx9k7hvwvUzq6RZiPT

AutoName: Peercoin

RepoType: git
Repo: https://github.com/peercoin/peercoin_flutter

Builds:
  - versionName: 0.5.9
    versionCode: 52
    commit: v0.5.9
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - test_driver
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main -f fdroid_flutter_launcher_icons.yaml
      - $$flutter$$/bin/flutter pub run flutter_native_splash:create
      - $$flutter$$/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.6.0
    versionCode: 53
    commit: 80b791431efe625ce3fd5965cdf7e8b5ac3ad5ee
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - test_driver
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main -f fdroid_flutter_launcher_icons.yaml
      - $$flutter$$/bin/flutter pub run flutter_native_splash:create
      - $$flutter$$/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.6.1
    versionCode: 54
    commit: 20895090d7497393bb0d5f8c78994bcdd8f0523e
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - test_driver
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main -f fdroid_flutter_launcher_icons.yaml
      - $$flutter$$/bin/flutter pub run flutter_native_splash:create
      - $$flutter$$/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.6.2
    versionCode: 55
    commit: 552d33bdb680145eb6aae25c4c1ca15a464b441d
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - test_driver
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main -f fdroid_flutter_launcher_icons.yaml
      - $$flutter$$/bin/flutter pub run flutter_native_splash:create
      - $$flutter$$/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.6.3
    versionCode: 58
    commit: 1935fd57ec353c01a7818bb6be44f7226ef2c7d1
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios/build
      - test_driver
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main -f fdroid_flutter_launcher_icons.yaml
      - $$flutter$$/bin/flutter pub run flutter_native_splash:create
      - $$flutter$$/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.6.3
CurrentVersionCode: 58
